{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Google Ad Library","description":"Scrape the Google Ad Transparency Library. *This only gets the public ads. Some ads you need to log in for and sadly we can't get those. Also, since there are so many variations, the return types might not all be 100% the same. Email me for suggestions. Also this endpoint is pretty new, if you find any errors or irregularities, please email me: support@scrapecreators.com"}],"paths":{"/v1/google/company/ads":{"get":{"tags":["Google Ad Library"],"summary":"Company Ads","description":"Fetches public ads for a company from the Google Ad Transparency Library by domain or advertiser_id. Each ad includes advertiserId, creativeId, format, adUrl, advertiserName, domain, firstShown, and lastShown. Costs 25 credits per request when get_ad_details=true; without it, only advertiserId and creativeId are returned at 1 credit.","parameters":[{"name":"domain","in":"query","required":false,"description":"The domain of the company","schema":{"type":"string"},"example":"lululemon.com"},{"name":"advertiser_id","in":"query","required":false,"description":"The advertiser id of the company","schema":{"type":"string"},"example":"AR01614014350098432001"},{"name":"topic","in":"query","required":false,"description":"The topic to search for. If you search for 'political', you will also need to pass a 'region', like 'US' or 'AU'","schema":{"type":"string","enum":["all","political"]},"example":"all"},{"name":"region","in":"query","required":false,"description":"The region to search for. Defaults to anywhere","schema":{"type":"string"},"example":"US"},{"name":"start_date","in":"query","required":false,"description":"Start date to search for. Format: YYYY-MM-DD","schema":{"type":"string"},"example":"2025-08-01"},{"name":"end_date","in":"query","required":false,"description":"End date to search for. Format: YYYY-MM-DD","schema":{"type":"string"},"example":"2025-08-11"},{"name":"get_ad_details","in":"query","required":false,"description":"Set to true to get the ad details. Will cost 25 credits.","schema":{"type":"string"},"example":"false"},{"name":"cursor","in":"query","required":false,"description":"Cursor to paginate through results","schema":{"type":"string"},"example":"CgoAP7znOo9RPjf%2FEhD5utgx8m75NrTTbU0AAAAAGgn8%2BJyW%2BJQK40A%3D"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"credits_remaining":9926561,"ads":[{"advertiserId":"AR09628680369637163009","creativeId":"CR15036700036807262209","format":"text","adUrl":"https://adstransparency.google.com/advertiser/AR09628680369637163009/creative/CR15036700036807262209","advertiserName":"Foreplay Ventures Inc","domain":"foreplay.co","imageUrl":null,"firstShown":"2024-08-02T12:33:35.000Z","lastShown":"2025-11-10T19:31:13.000Z"}],"cursor":"CgoAP7zm82Y5sMRjEhBwPifBwIMxRttsqvUAAAAAGgn8%2BIdd%2BDICr8g%3D"}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}